/* RESET DO NAVEGADOR */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

ul {
    list-style: none;
}

body {
    background-image: url(assets/Fundo.jpg);
    background-position: top center;
    background-size: 100% auto;
    background-color: #121214;
    background-repeat: no-repeat;
}

body * {
    font-family: 'Inter', sans-serif;
    line-height: 160%;
}

header {
    padding-top: 32px;
    height: calc(140px + 32px);
}

header div:hover {
    transform: scale(1.1);
}

header div {
    width: 140px;
    margin: auto;
    background-image: linear-gradient(90deg, #9572FC 0%, #43E7AD 50.52%, #E2D45C 100%);
    border-radius: 50%;
    display: flex;
    padding: 5px;
    transition: transform .4s;
}

header div img {
    width: 100%;
    border-radius: 50%;
    
}

main{
    max-width: 580px;
    width: 90%;
    margin: 32px auto;
    display: grid;
    gap: 24px;
}

section {
    color: white;
    background-image: linear-gradient(90deg, #9572FC 0%, #43E7AD 50.52%, #E2D45C 100%);
    padding-top: 5px;
    border-radius: 10px;
}

section div {
    background-color: #2A2634;
    padding: 32px;
    padding-top: 24px;
    border-radius: 8px;
}

section h2 {
    letter-spacing: -0.47px;
}

section p {
    letter-spacing: -0.18px;
    color: #A1A1AA;
}

section ul{
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
    flex-direction: row;
    margin-top: 24px;
}

.games-list img {
    width: 90px;
    border-radius: 8px;
    box-shadow: 5px 5px 10px #14141450;
    transition: .5s;
}

.channel-list img {
    border-radius: 50%;
    box-shadow: 5px 5px 10px #14141450;
    width: 70px;
}

a:hover {
    opacity: 55%;
    transition: .4s linear;
    cursor: pointer;
}

/* animation */

header div {
    animation: fromTop .7s .2s backwards;
    
}

main section {
 animation: fromBottom .7s backwards;
}

main section:nth-child(1) {
    animation-delay: .1s;
}

main section:nth-child(2) {
    animation-delay: .4s;
}

main section:nth-child(3) {
    animation-delay: .8s;
}

@keyframes fromTop {
    from {
        opacity: 0;
        transform: translateY(-30px);
    }

    to{
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fromBottom {
    from {
        opacity: 0;
        transform: translateY(30px);
    }

    to{
        opacity: 1;
        transform: translateY(0);
    }
}